<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->integer('is_uae_resident')->default(0);
        });
        Schema::table('temp_users', function (Blueprint $table) {
            $table->integer('is_uae_resident')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn('is_uae_resident');
        });
        Schema::table('temp_users', function (Blueprint $table) {
            $table->dropColumn('is_uae_resident');
        });
    }
};
